import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.JsonNode;
import com.mashape.unirest.http.Unirest;
import com.mashape.unirest.http.exceptions.UnirestException;
import org.json.JSONArray;


public class YouAreEll {

    private static final String URL = "http://zipcode.rocks:8085";
    ObjectMapper mapper;

    YouAreEll() {
        mapper = new ObjectMapper();
    }


    public static void main(String[] args) throws UnirestException{

          YouAreEll urlhandler = new YouAreEll();
          System.out.println(urlhandler.get_ids());
          urlhandler.post_id("nafisn", "nafeastyBoys");
//        System.out.println(urlhandler.get_messages());
//        System.out.println(urlhandler.MakeURLCall("/messages", "GET", ""));
    }

    public String get_ids() throws UnirestException {
        return MakeURLCall("/ids").getBody().getArray().toString();
    }

    public void post_id(String githubid, String name) throws UnirestException{

        Id id = new Id(name, githubid);
        try {
            String asString = mapper.writeValueAsString(id);
            Unirest.post(URL + "/ids").body(asString).asJson();

        } catch (JsonProcessingException e) {
            e.printStackTrace();
        }
    }

    public String get_messages() throws UnirestException{
        return MakeURLCall("/messages").getBody().getArray().toString();
    }

    public HttpResponse<JsonNode> MakeURLCall(String mainurl) throws UnirestException {
        mainurl = URL + mainurl;
        HttpResponse<JsonNode> jsonResponse = Unirest.get(mainurl).asJson();

        System.out.println(jsonResponse);
        return jsonResponse;
    }


}
